- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Reply_Dispatcher Class Reference

`#include <Reply_Dispatcher.h>`

Inheritance diagram for TAO_Reply_Dispatcher:

[legend]
List of all members.

## Public Member Functions
| TAO_Reply_Dispatcher (void)
| Constructor.
virtual | ~TAO_Reply_Dispatcher (void)
| Destructor.
virtual int | dispatch_reply (TAO_Pluggable_Reply_Params &params)=0
virtual void | connection_closed (void)=0
CORBA::ULong | reply_status (void) const
| Get the reply status.
## Protected Attributes
CORBA::ULong | reply_status_
| Reply or LocateReply status.

## Detailed Description

Different invocation modes process the Reply messages in different ways. Traditional synchronous replies simply receive the message and wake up the waiting thread (if any). Asynchronous Method Invocation (Callbacks) must process the message in the thread that receives it. Deferred Synchronous (DII) and AMI in the Poller mode save the reply for later processing in the application. The lower level components in the ORB only deal with this abstract interface, when the invocation is made the right type of Reply Dispatcher is instantiated and registered with the Transport object.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Reply_Dispatcher::TAO_Reply_Dispatcher | ( | void |  | ) |

Constructor.

TAO_Reply_Dispatcher::~TAO_Reply_Dispatcher | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void TAO_Reply_Dispatcher::connection_closed | ( | void |  | ) | `[pure virtual]`

The used for the pending reply has been closed. No reply is expected.

Todo:
  If the connection was closed due to a CloseConnection message then we could re-issue the request instead of raising the exception, it would a matter of simply adding a boolean argument to this function.

Implemented in TAO_Asynch_Reply_Dispatcher_Base, and TAO_Synch_Reply_Dispatcher.

virtual int TAO_Reply_Dispatcher::dispatch_reply | ( | TAO_Pluggable_Reply_Params & | params | ) | `[pure virtual]`

Dispatch the reply. Return 1 on sucess, -1 on error.

Todo:
  Pluggable Messaging: this method has too many arguments, the "Right Thing"[tm] is for the Transport Object to create a "ClientReply" that encapsulates all we need to process a reply. Naturally it is possible that different messaging protocols implement different variants of such ClientReply class.

Implemented in TAO_Asynch_Reply_Dispatcher_Base, and TAO_Synch_Reply_Dispatcher.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::ULong TAO_Reply_Dispatcher::reply_status | ( | void |  | ) | const

Get the reply status.

## Member Data Documentation

CORBA::ULong TAO_Reply_Dispatcher::reply_status_`[protected]`

Reply or LocateReply status.

The documentation for this class was generated from the following files:

- Reply_Dispatcher.h
- Reply_Dispatcher.cpp
- Reply_Dispatcher.i